SCALB(3)

NAME
scalb, scalbf, scalbl, scalbn, scalbnf, scalbnl, scalbln, scalblnf, scalblnl - multiply floating-point number by integral power of radix

SYNOPSIS
#include <math.h>

double scalb(double x, double exp);
float scalbf(float x, double exp);
long double scalbl(long double x, double exp);

double scalbn(double x, int exp);
float scalbnf(float x, int exp);
long double scalbnl(long double x, int exp);

double scalbln(double x, long int exp);
float scalblnf(float x, long int exp);
long double scalblnl(long double x, long int exp);

Link with -lm.

DESCRIPTION
These functions multiply their first argument x by FLT_RADIX (probably 2) to the power exp.

If FLT_RADIX equals 2, then scalbn() is equivalent to ldexp().

The value of FLT_RADIX is found in <float.h>.

CONFORMING TO
The scalb() function is from BSD 4.3. The scalbn() and scalbln() functions are from C99. All three are in POSIX 1003.1-2003. The scalb() function is marked obsolescent.

SEE ALSO
ldexp(3)